format shortg;
% The matrix is a scaled version of a Hilbert matrix.
A = gallery('invol',3);
b = 3*ones(3,1);

disp('The solution to A*x = b is');
x = A\b ;
disp(x);

format longg;
% perturb A
deltaA = [0.0005 0 0.00001;0 0.0003 0;0 0 -0.0007];
deltab = [-0.0001 0.0005 -0.00002]';
disp('The perturbed matrix is');
B = A + deltaA;
disp(B);
bp = b+deltab;
disp('The perturbed right-hand side is');
disp(bp);
disp('The solution to the perturbed system is');
xp = B\bp;
disp(xp);

fprintf('The relative error is %g\n',norm(xp-x)/norm(x));

fprintf('The condition number of A is %.1f\n',cond(A));
