B = [1 1 -1;1 0 2;2 1 1];
n = size(B,2);

[U,S,V] = svd(B);
% Due to roudoff error, S(i,i) can be nonzero when
% it should be zero. For matrix A, MATLAB uses the following
% test:
%   tol = max(size(A))*eps(norm(A)) =
%         max(size(A))*eps(S(1,1))
% Entry S(i,i) is considered nonzero if S(i,i) > tol
tol = max(size(B))*eps(S(1,1));
r = 0;
for i = 1:n
   if S(i,i) > tol
      r = r + 1;
   end
end

disp('Basis for the range of B');
disp(U(:,1:r));

disp('Basis for the null space of B');
disp(V(:,r+1:n));
