% NOTE: U and V may not agree with the U, V listed in the text

A = [1 4 2;-1 0 2;5 -1 -11;0 2 2;1 1 -1];
[m,n] = size(A);

[U,S,V] = svd(A);
% Due to roudoff error, S(i,i) can be nonzero when
% it should be zero. For matrix A, MATLAB uses the following
% test:
%   tol = max(size(A))*eps(norm(A)) =
%         max(size(A))*eps(S(1,1))
% Entry S(i,i) is considered nonzero if S(i,i) > tol
tol = max(size(A))*eps(S(1,1));
r = 0;
for i = 1:n
   if S(i,i) > tol
      r = r + 1;
   end
end

disp('Basis for the range of A');
disp(U(:,1:r));

disp('Basis for the null space of A''');
disp(U(:,r+1:m));

disp('Basis for the range of A''');
disp(V(:,1:r));

disp('Basis for the null space of A');
disp(V(:,r+1:n));
