% for plotting data
Ldat = [0.5 1.0 2.0]';
Wdat = [1.77 10.0 56.6]';

% for plotting the power function
A = [-0.6931 1;0 1;0.6931 1];
b = [0.5710 2.3026 4.0360]';

% solve the linear least-squares problem
x = qrlstsq(A,b);
disp('The solution to the least-squares problem is');
disp(x);
fprintf('The regression line is ''y = %.4fx + %.4f''\n',x(1),x(2));
alpha = exp(x(2));
beta = x(1);
fprintf('The best fitting power function is ''W = %.4fL^%.4f''\n',...
        alpha,beta);
% Note the notation for a superscript in the title
plottitle = sprintf('W = %.4fL^{%.4f}',alpha,beta);

% anonymous function for W as a function of L
W = @(L) alpha*L.^beta;
L = 0.25:.05:2.25;
plot(Ldat,Wdat,'*k',L,W(L),'k');
xlabel('L');
ylabel('W');
title(plottitle);
% don't let the plot take up all the x- and y-axes
axis([0.0 2.5 0 80.0]);
