sv = [1 4 6 16]';
vv = [4 10 12 16];
xv = 1./sv;
yv = 1./vv;

A = [xv(1) 1;xv(2) 1;xv(3) 1;xv(4) 1];
rhs = [yv(1) yv(2) yv(3) yv(4)]';

x = svdlstsq(A,rhs);
m = x(1);
b = x(2);
alpha = 1/m;
beta = alpha*b;
fprintf('alpha = 1/m = %.4f, beta = alpha*b = %.4f\n',alpha,beta);

v = @(s) (alpha*s)./(1+beta*s);
s = 0:.1:17;
plot(sv,vv,'k*',s,v(s),'k');
xlabel('s');
ylabel('v');
graphtitle = sprintf('%.4fs/(1+%.4fs)',alpha,beta);
title(graphtitle);
axis([0 18 0 18]);
