format short;

L = [0 6 3 2;0.60 0 0 0;0 0.45 0 0;0 0 0.25 0];
[U,D] = eig(L);
disp('The eigenvalues are:');
diag(D)
u1 = U(:,1);
u1 = (u1/sum(u1))*100;
fprintf('The dominant eigenvalue is %g.\n\n',D(1,1));
disp('Percentage of females in each age class over time:');
disp(u1);

n0 = [8 10 12 7]';
N = zeros(4,11);
N(:,1) = n0;
for i = 2:11
   N(:,i) = L*N(:,i-1);
end

t = 0:10;
semilogy(t,N);
xlabel('Time');
ylabel('log_{10}(population)');
legend('Age class 1','Age class 2','Age class 3','Age class 4',...
       'Location','NorthWest');
