format shortg;

E = 69.0e9;
L = 2.13;
I = 3.26e-4;
n = 1:3;
P = ((E*I)/L^2)*pi^2*n.^2;
fprintf('First buckling mode: %g\n',P(1));
fprintf('Second critical load: %g\n',P(2));
fprintf('Second critical load: %g\n',P(3));

x = 0.0:.03:L;
y1 = @(x) sin(pi*x/L);
y2 = @(x) sin(2*pi*x/L);
y3 = @(x) sin(3*pi*x/L);

plot(x,y1(x),'k',x,y2(x),'b--',x,y3(x),'r:','LineWidth',2);
xlabel('x');
ylabel('Deflection');
title('First three deflection curves.');
legend('Critical load P_{1}',...
       'Critical load P_{2}',...
       'Critical load P_{3}');
axis([0 3.0 -1 1]);
