function springsex18_1(omega0,T,n)

root2 = sqrt(2);
root32 = sqrt(3/2);

A = [-1/root2 0 1/root2 0;
     1/root2 0  1/root2 0;
     0 -1/root2 0 root32;
     0 1/root2 0 root32];

K = [-2 1;1 -2];
D = (K+omega0^2*eye(2))\(-[5 0]');
rhs = [-D(1), -D(2), 0, 0]';

c = A\rhs;
t = linspace(0.0,T,n);
x = (1/root2)*[-1 1]'*(c(1)*cos(sqrt(3)*t) + c(2)*sin(sqrt(3)*t))+...
    (1/root2)*[1 1]'*(c(3)*cos(t) + c(4)*sin(t)) +...
    D*cos(omega0*t);

plot(t,x(1,:),'k',t,x(2,:),'k--','LineWidth',2);

xlabel('t','fontsize',12);
ylabel('displacements','fontsize',12);
title(['Two mass, three spring system, \omega_{0}=',...
     num2str(omega0)],'fontsize',14);
legend('x_{1}','x_{2}','Location','NorthWest');
