B = biharmonic_op(12,1,12,1);
A = sprandn(B);
A = full(A);

m = 35;
v0 = rand(size(B,1),1);
[Q, H] = arnoldi(A,v0,m);

E1 = eig(A);
E2 = eig(H(1:35,1:35));

plot(E1,'ok','MarkerSize',11,'LineWidth',1);
hold on;
plot(E2,'xk','MarkerSize',11,'LineWidth',1.5);
xlabel('$Real(\lambda)$','interpreter','Latex','fontSize',14);
ylabel('$Imag(\lambda)$','interpreter','Latex','fontSize',14);
h = legend('Eigenvalue of A','Eigenvalue of H_{35}');
set(h,'fontSize',9,'Orientation',...
      'horizontal','Location','NorthEast');
hold off;
