phi = linspace(0,2*pi);
theta = 0.5*phi;
[theta, phi] = meshgrid(theta, phi);
r = 2*phi;
[x, y, z] = sph2rect(r, theta, phi);
% capture a "handle" to the surface plot
h = surf(x,y,z);
xlabel('x');
ylabel('y');
zlabel('z');
% syntax for a multiline title. see cell in MATLAB help
s = {'\theta = 0.50, r = 0.50, 0\leq \phi\leq2\pi',...
     'using the spherical coordinate basis.'};
title(s);
% rotate the image 30 degrees counterclockwise around the z-axis
% to create a better view
rotate(h,[0,0,1],30);
